<?php
/************************ Version 1 (20170803) ****************************/
/* Requires Version 4.0+ of HAniS: http://www.ssec.wisc.edu/hanis/index.html */
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}?>
<div id="showSatLoop">
<?php
	if (!isset($basin)) { // Set defaults for debugging when called alone
    $basin = 'austeast'; // Default Basin
		$satType = 'irbbm'; // IMPORTAMT!!! Default image directory is set here
		$imageWidth = 1128; // Width of satellite images
  	$imageHeight = $imageWidth*.6; // Height of Images
    $iframeHeight = ($imageHeight+50); // Height of IFrame
		$iframeWidth = $imageWidth; // Default IFrame Width -- should no longer need adjustment
		$bgndColor = 'silver'; // Set HAniS Background Color Here
		$btnColor = 'darkslategray'; // Set Button Color here
		$btnTextColor = 'white'; // Set Button Text Color here
		$pauseSeconds = 2; // Pause on last image, in seconds
		$animRate = 20; // Frame Rate of animation: 5 is glacial, 10 is slow, 15 is leisurely, 20 is good, and 50 is fast - set with integer
		$numbImages = 11; // Number of images to display - between 3 and the number of images you are uploading
	}
  if (isset($_POST['imageDir'])) {
    $imageDir = $_POST['imageDir'];
		$satType = $imageDir;
  }
	if (isset($_POST['basin'])) {
		$basin = $_POST['basin'];
	}
  if (isset($_POST['imageWidth'])) {
    $imageWidth = $_POST['imageWidth'];
  }
  if (isset($_POST['iframeHeight'])) {
    $iframeHeight = $_POST['iframeHeight'];
  }
  if (isset($_POST['bgndColor'])) {
    $bgndColor = $_POST['bgndColor'];
  }
  if (isset($_POST['btnColor'])) {
    $btnColor = $_POST['btnColor'];
  }
  if (isset($_POST['btnTextColor'])) {
    $btnTextColor = $_POST['btnTextColor'];
  }
  if (isset($_POST['animRate'])) {
    $animRate = $_POST['animRate'];
  }
  if (isset($_POST['pauseSeconds'])) {
    $pauseSeconds = $_POST['pauseSeconds'];
  }
  if (isset($_POST['numbImages'])) {
    $numbImages = $_POST['numbImages'];
  }
  if ($basin == 'atlantic' || $basin == 'westpac' || $basin == 'austeast' || $basin == 'austwest' || $basin == 'seastpac') {
		$imageHeight = $imageWidth*.6; // Height of Images
	}
	else if ($basin == 'eastpac' || $basin == 'europe' || $basin == 'indian') {
		$imageHeight = $imageWidth * .63;
	}
	$imageDir = $satType;
	$img_type = $satType;
	$iframeHeight = $imageHeight + 40;
?>
<?php 
/* Debug Code *
  echo '$imageDir: '.$imageDir.', $numbImages: '.$numbImages.'<br/>';
/* End Debug Code */
?>
  <table width="<?php echo $imageWidth?>" style="padding:0">
    
    <tr valign="top">
    <td width="35%" align="center" style="padding:3px;">
    <span style="color:#000000; font-size:13px; font-family:arial, times new roman;">
    <b>Select Basin:</b><br/>
    </span>
    <select style="background-color:<?php echo $btnColor?>;border-radius:7px;color:<?php echo $btnTextColor?>" id="basin">
    <option value="atlantic" <?php echo $basin=="atlantic"?'selected="selected"':''?>>- Atlantic Basin</option>
    <option value="europe" <?php echo $basin=="europe"?'selected="selected"':''?>>- European Basin</option>
    <option value="indian" <?php echo $basin=="indian"?'selected="selected"':''?>>- Indian Basin</option>
    <option value="westpac" <?php echo $basin=="westpac"?'selected="selected"':''?>>- Western Pacific Basin</option>
    <option value="austwest" <?php echo $basin=="austwest"?'selected="selected"':''?>>- Western Australia Basin</option>
    <option value="austeast" <?php echo $basin=="austeast"?'selected="selected"':''?>>- Eastern Australia Basin</option>
    <option value="seastpac" <?php echo $basin=="seastpac"?'selected="selected"':''?>>- Southeast Pacific Basin</option>
    <option value="eastpac" <?php echo $basin=="eastpac"?'selected="selected"':''?>>- Eastern Pacific Basin</option>
    </select>

    </td>
    <td width="35%" align="center" style="padding:3px; padding-right:30px">
    <span style="color:#000000; font-size:13px; font-family:arial, times new roman;">
    <b>Select Satellite Type:</b><br/>
    </span>
    <select style="background-color:<?php echo $btnColor?>;border-radius:7px;color:<?php echo $btnTextColor?>" id="imageDir">
    <option value="ir" <?php echo $imageDir=="ir"?'selected="selected"':''?>>- IR - Infrared - Outline Map</option>
    <option value="irbbm" <?php echo $imageDir=="irbbm"?'selected="selected"':''?>>- IRBBM - Infrared - Terrain Map</option>
    <option value="wv" <?php echo $imageDir=="wv"?'selected="selected"':''?>>- WV - Water Vapor Map</option>
    <option value="wvbbm" <?php echo $imageDir=="wvbbm"?'selected="selected"':''?>>- WV - Water Vapor Terrain Map</option>
    <option value="irn" <?php echo $imageDir=="irn"?'selected="selected"':''?>>- IRN - Rainbow Infrared Map</option>
    <option value="irbd" <?php echo $imageDir=="irbd"?'selected="selected"':''?>>- IRBD - Dvorak Infrared Map</option>
    </select>

    </td>
    <td width="30%" align="left" style="padding:3px;">
    
    <span style="color:#000000; font-size:13px; font-family:arial, times new roman;">
    <b>Images to Show:</b> <br/>
    </span>
    <select style="background-color:<?php echo $btnColor?>;border-radius:7px;color:<?php echo $btnTextColor?>" id="images">
    <option value="3" <?php echo $numbImages==3?'selected="selected"':''?>>3 Images</option>
    <option value="4" <?php echo $numbImages==4?'selected="selected"':''?>>4 Images</option>
    <option value="5" <?php echo $numbImages==5?'selected="selected"':''?>>5 Images</option>
    <option value="6" <?php echo $numbImages==6?'selected="selected"':''?>>6 Images</option>
    <option value="7" <?php echo $numbImages==7?'selected="selected"':''?>>7 Images</option>
    <option value="8" <?php echo $numbImages==8?'selected="selected"':''?>>8 Images</option>
    <option value="9" <?php echo $numbImages==9?'selected="selected"':''?>>9 Images</option>
    <option value="10" <?php echo $numbImages==10?'selected="selected"':''?>>10 Images</option>
    <option value="11" <?php echo $numbImages==11?'selected="selected"':''?>>11 Images</option>
    </select>

  
  </td></tr></table>
<?php $jsConstants = array(
			'var imageWidth = "'.$imageWidth.'";',
			'var iframeWidth = "'.$iframeWidth.'";',
			'var iframeHeight = "'.$iframeHeight.'";',
			'var bgndColor = "'.$bgndColor.'";',
			'var btnColor = "'.$btnColor.'";',
			'var btnTextColor = "'.$btnTextColor.'";',
			'var animRate = "'.$animRate.'";',
			'var pauseSeconds = "'.$pauseSeconds.'";'
);?>
  
	<script type="text/javascript">
		var $jq = jQuery.noConflict();
    $jq("#basin").change(function () {
			<?php for ($i=0; $i<count($jsConstants); $i++) {
				echo $jsConstants[$i];
			}?>
			var numbImages = $jq("#images").val();
			var imageDir = $jq("#imageDir").val();
      var basin = $jq(this).val();
      showSatLoopjs(basin,imageDir,imageWidth,iframeWidth,iframeHeight,bgndColor,btnColor,btnTextColor,pauseSeconds,animRate,numbImages);
		});
    $jq("#imageDir").change(function () {
			<?php for ($i=0; $i<count($jsConstants); $i++) {
				echo $jsConstants[$i];
			}?>
			var numbImages = $jq("#images").val();
			var basin = $jq("#basin").val();
      var imageDir = $jq(this).val();
      showSatLoopjs(basin,imageDir,imageWidth,iframeWidth,iframeHeight,bgndColor,btnColor,btnTextColor,pauseSeconds,animRate,numbImages);
		});
    $jq("#images").change(function () {
			<?php for ($i=0; $i<count($jsConstants); $i++) {
				echo $jsConstants[$i];
			}?>
			var imageDir = $jq("#imageDir").val();
			var basin = $jq("#basin").val();
			var numbImages = $jq(this).val();
      showSatLoopjs(basin,imageDir,imageWidth,iframeWidth,iframeHeight,bgndColor,btnColor,btnTextColor,pauseSeconds,animRate,numbImages);
		});
    </script>

<?php
  $satType = $imageDir;
  $iframeWidth = $imageWidth;
/* Debug Code *
	echo '$basin: '.$basin.', $satType: '.$satType.', $img_type; '.$img_type.', $imageDir: '.$imageDir.', $imageWidth: '.$imageWidth.', $iframeWidth: '.$iframeWidth.'<br/>';
/* End Debug Code */
  $loopDuration = '2 Day'; // Default Loop Duration
  if ($imageDir == 'ir') {
		$img_typeText = 'InfraRed Outline Map';
	}
	else if ($imageDir == 'irbbm') {
		$img_typeText = 'InfraRed Terrain Map';
	}
	else if ($imageDir == 'wv') {
		$img_typeText = 'Water Vapor Outline Map';
	}
	else if ($imageDir == 'wvbbm') {
		$img_typeText = 'Water Vapor Terrain Map';
		$loopDuration = '12 Hour';
	}
	else if ($imageDir == 'irn') {
		$img_typeText = 'Rainbow Infrared Map';
	}
	else if ($imageDir == 'irbd') {
		$img_typeText = 'Dvorak Outline Map';
	}
	if ($basin == 'eastpac') {
		$basinText = 'Eastern Pacific';
		$loopDuration = (strpos($imageDir,'bbm')?'12 Hour':'2 Day');
	}
	else if ($basin == 'atlantic') {
		$basinText = 'Atlantic';
		$loopDuration = (strpos($imageDir,'bbm')?'12 Hour':'2 Day');
	}
	else if ($basin == 'europe') {
		$basinText = 'Europe/North Africa';
		$loopDuration = '2 Day';
	}
	else if ($basin == 'indian') {
		$basinText = 'Indian';
		$loopDuration = '2 Day';
	}
	else if ($basin == 'westpac') {
		$basinText = 'Western Pacific';
		$loopDuration = (strpos($imageDir,'bbm')?'12 Hour':'2 Day');
	}
	else if ($basin == 'seastpac') {
		$basinText = 'Southeast Pacific';
		$loopDuration = (strpos($imageDir,'bbm')?'12 Hour':'2 Day');
	}
	else if ($basin == 'austeast') {
	 $basinText = 'Eastern Australia';
	 $loopDuration = '12 Hour';
	}
	else if ($basin == 'austwest') {
		$basinText = 'Western Australia';
		$loopDuration = '12 Hour';
	}
?>
    <h2 align="center">Space Science &amp; Engineering Center <?php echo $loopDuration?> Satellite Loop</h2><hr/>
    <h2 align="center"><?php echo $basinText.' Area '.$img_typeText?></h2>

		<iframe width="<?php echo $iframeWidth?>" height="<?php echo $iframeHeight?>" src="wxssec-basin-iframe.php?basin=<?php echo $basin?>&amp;imageDir=<?php echo $imageDir?>&amp;satType=<?php echo $satType?>&amp;iframeWidth=<?php echo $iframeWidth?>&amp;imageWidth=<?php echo $imageWidth?>&amp;imageHeight=<?php echo $imageHeight?>&amp;bgndColor=<?php echo $bgndColor?>&amp;btnColor=<?php echo $btnColor?>&amp;btnTextColor=<?php echo $btnTextColor?>&amp;animRate=<?php echo $animRate?>&amp;pauseSeconds=<?php echo $pauseSeconds?>&amp;numbImages=<?php echo $numbImages?>" id="gr3hanis" scrolling="no" style="border:none"></iframe>

</div>
