<?php
/************************ Version 1a (20180116) ***************************/
/* Requires Version 4.0+ of HAniS: http://www.ssec.wisc.edu/hanis/index.html */
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
} ?>
<!DOCTYPE html>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
  <title>SSEC Atlantic Loops</title>
  <script type="text/javascript" src="./HAniS/hanis_min.js"> </script>
  </head>
	<?php
	if (!isset($basin)) { // Set defaults for debugging when called alone
    $basin = 'seastpac'; // Default Basin
		$satType = 'wv'; // IMPORTAMT!!! Default image directory is set here
		$imageWidth = 1128; // Width of satellite images
  if ($basin == 'atlantic' || $basin == 'westpac' || $basin == 'austeast' || $basin == 'austwest' || $basin == 'seastpac') {
//		$imageWidth = 1128; // Width of Images
		$imageHeight = $imageWidth*.6; // Height of Images
    
	}
	else if ($basin == 'eastpac' || $basin == 'europe' || $basin == 'indian') {
//		$imageWidth = 1080;
		$imageHeight = $imageWidth * .63;
	}
		$bgndColor = 'silver'; // Set HAniS Background Color Here
		$btnColor = 'darkslategray'; // Set Button Color here
		$btnTextColor = 'white'; // Set Button Text Color here
		$pauseSeconds = 2; // Pause on last image, in seconds
		$animRate = 20; // Frame Rate of animation: 5 is glacial, 10 is slow, 15 is leisurely, 20 is good, and 50 is fast - set with integer
		$numbImages = 11; // Number of images to display - between 3 and the number of images you are uploading
	}
  if (isset($_GET['imageDir'])) {
    $imageDir = $_GET['imageDir'];
  }
  if (isset($_GET['satType'])) {
    $satType = $_GET['satType'];
  }
  if (isset($_GET['basin'])) {
    $basin = $_GET['basin'];
  }
  if (isset($_GET['imageWidth'])) {
    $imageWidth = $_GET['imageWidth'];
  }
  if (isset($_GET['iframeWidth'])) {
    $iframeWidth = $_GET['iframeWidth'];
  }
  if (isset($_GET['imageHeight'])) {
    $imageHeight = $_GET['imageHeight'];
  }
  if (isset($_GET['bgndColor'])) {
    $bgndColor = $_GET['bgndColor'];
  }
  if (isset($_GET['btnColor'])) {
    $btnColor = $_GET['btnColor'];
  }
  if (isset($_GET['btnTextColor'])) {
    $btnTextColor = $_GET['btnTextColor'];
  }
  if (isset($_GET['animRate'])) {
    $animRate = $_GET['animRate'];
  }
  if (isset($_GET['pauseSeconds'])) {
    $pauseSeconds = $_GET['pauseSeconds'];
  }
  if (isset($_GET['numbImages'])) {
    $numbImages = $_GET['numbImages'];
  }
?>
<?php
//	$iframeWidth = $imageWidth; // IFrame Width
	if ($basin == 'europe' || $basin == 'indian') {
		if ($basin == 'europe') $goesSat = 'm7';
		else if ($basin == 'indian') $goesSat = 'm5';
  	if ($satType == 'ir' || $satType == 'irbbm') {
	  	$img_type = strtoupper('met'.'ir');
	  }
    else if ($satType == 'wv' || $satType == 'wvbbm') {
		  $img_type = strtoupper('met'.'wv');
	  }
    else if ($satType == 'irn') {
		  $img_type = strtoupper('met'.'irnhc');
	  }
    else if ($satType == 'irbd') {
		  $img_type = strtoupper('met'.'irbd');
	  }
  	$imageDir = $goesSat.$satType;
	}
	else if ($basin == 'atlantic' || $basin == 'eastpac' || $basin == 'seastpac') {
    if ($basin == 'atlantic') { $goesSat = 'g8'; }
	  else if ($basin == 'eastpac') { $goesSat = 'g9'; }
		else if ($basin == 'seastpac') { $goesSat = 'g10s'; }
  	if ($satType == 'ir' || $satType == 'irbbm') {
	  	$img_type = strtoupper($goesSat.'ir');
	  }
    else if ($satType == 'wv' || $satType == 'wvbbm') {
		  $img_type = strtoupper($goesSat.'wv');
	  }
    else if ($satType == 'irn') {
		  $img_type = strtoupper($goesSat.'irnhc');
	  }
    else if ($satType == 'irbd') {
		  $img_type = strtoupper($goesSat.'irbd');
	  }
  	$imageDir = $goesSat.$satType;
	}
	else if ($basin == 'westpac') {
		$goesSat = 'gms';
  	if ($satType == 'ir' || $satType == 'irbbm') {
	  	$img_type = strtoupper($goesSat.'ir');
	  }
    else if ($satType == 'wv' || $satType == 'wvbbm') {
		  $img_type = strtoupper($goesSat.'wv');
	  }
    else if ($satType == 'irn') {
		  $img_type = strtoupper($goesSat.'irnhc');
	  }
    else if ($satType == 'irbd') {
		  $img_type = strtoupper($goesSat.'irbd');
	  }
  	$imageDir = $goesSat.$satType;
	}
	else if ($basin == 'austeast' || $basin == 'austwest') {
		$goesSat = 'gms';
  	if ($satType == 'ir' || $satType == 'irbbm') {
	  	$img_type = strtoupper($goesSat.($basin=='austeast'?'se':'sw').'ir');
	  }
    else if ($satType == 'wv' || $satType == 'wvbbm') {
		  $img_type = strtoupper($goesSat.($basin=='austeast'?'se':'sw').'wv');
	  }
    else if ($satType == 'irn') {
		  $img_type = strtoupper($goesSat.($basin=='austeast'?'se':'sw').'irnhc');
	  }
    else if ($satType == 'irbd') {
		  $img_type = strtoupper($goesSat.($basin=='austeast'?'se':'sw').'irbd');
	  }
  	$imageDir = $goesSat.$satType;
	}
  if ($basin == 'atlantic' || $basin == 'westpac' || $basin == 'austeast' || $basin == 'austwest') {
//		$imageWidth = 1128; // Width of Images
		$imageHeight = $imageWidth*.6; // Height of Images
	}
	else if ($basin == 'eastpac' || $basin == 'europe' || $basin == 'indian') {
//		$imageWidth = 1080;
		$imageHeight = $imageWidth * .63;
	}
  /* Debug Code /
	echo '$basin: '.$basin.', $goesSat: '.$goesSat.', $satType: '.$satType.', $img_type; '.$img_type.', $imageDir: '.$imageDir.'<br/>';
	/* End Debug Code */
?>

  <body style="width:<?php echo $imageWidth?>px; margin:0px" onload="HAniS.setup(
'filenames = <?php file_name_list($img_type,$imageDir,$numbImages,$basin)?> \n\
controls = startstop, speed, step, looprock, zoom, refresh \n\
controls_style = display:flex;flex-flow:row;background-color:<?php echo $bgndColor?>; \n\
speed_labels = Slower, Faster \n\
rate = <?php echo $animRate?> \n\
pause = <?php echo ($pauseSeconds*1000)?> \n\
skip_missing = 0 \n\
skip_missing_color = #800000 \n\
background_static = n \n\
window_size = <?php echo $imageWidth?>,<?php echo $imageHeight?>; \n\
buttons_style = flex:auto;margin:2px;background-color:<?php echo $btnColor?>;border-radius:7px;color:<?php echo $btnTextColor?>; \n\
bottom_controls = toggle \n\
bottom_controls_tooltip = Toggle frames on/off \n\
toggle_colors = <?php echo $btnColor?>, red, orange \n\
bottom_controls_style = background-color:<?php echo $bgndColor?>;' ,
'handiv')">

  <div id="handiv" style="width:<?php echo $imageWidth?>px;background-color:#808080;">
  </div>

  </body>
 </html>
<?php
############## function ##############
function file_name_list($img_type,$imageDir,$numbImages,$basin) {
	for ($i=0; $i<$numbImages; $i++) {
		$image = 'http://tropic.ssec.wisc.edu/real-time/'.$basin.'/movies/'.$imageDir.'/'.$img_type.$i;
//		$image = getUniqueImageURL($image);
		echo $image;
		echo $i<($numbImages-1)?', ':'';
	}
}
function getUniqueImageURL($image_url){
	$timestamp = time();
	if(strpos($image_url, '?')){
		$image_url = str_replace('?', "?$timestamp&", $image_url);
	}
	else{
		$image_url .= "?$timestamp";
	}
	return $image_url;
}
############ end function ############
?>