<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (WD-USA template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/************************ Version 1 (20170803) ****************************/
/* Requires Version 4.0+ of HAniS: http://www.ssec.wisc.edu/hanis/index.html
   The 'hanis_min.js' script should be placed in a '/HAniS/ directory
	 like this '/HAniS/hanis_min.js' */
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
############################################################################
$standAlone	= false;			// false if we run in the template environment
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="SSEC 12 Hour to 2 Day Satellite Loops"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr(' - SSEC 12 Hour to 2 Day Satellite Loops');
	$showGizmo = true; // Set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'SSEC 12 Hour to 2 Day Satellite Loops';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
/************************* Settings *****************************/
$basin = 'atlantic'; // Default Basin
$imageDir = 'ir'; // Default image type is set here
$imageWidth = 660; // Width of satellite images
$maxWidth = 1128; // Native map width
$imageHeight = $imageWidth*(($basin=='atlantic'||$basin=='westpac'||$basin=='austeast'||$basin=='$austwest')?.6:.63); // Height of Images
$iframeHeight = ($imageHeight+50); // Height of IFrame
$iframeWidth = $imageWidth; // Default IFrame Width -- should no longer need adjustment
$bgndColor = 'silver'; // Set HAniS Background Color Here
$btnColor = 'darkslategray'; // Set Button Color here
$btnTextColor = 'white'; // Set Button Text Color here
$pauseSeconds = 2; // Pause on last image, in seconds
$animRate = 20; // Frame Rate of animation: 5 is glacial, 10 is slow, 15 is leisurely, 20 is good, and 50 is fast - set with integer
$numbImages = 11; // Number of images to display - between 3 and the number of images you are uploading
/*********************** End Settings ***************************/
$img_type = $imageDir;
$satType = $imageDir;
?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js" type="text/javascript"></script>
<script src="./HAniS/hanis_min.js" type="text/javascript"></script>
<script type="text/javascript"> {
	var $jq = jQuery.noConflict();
	function      showSatLoopjs(basin,imageDir,imageWidth,iframeWidth,iframeHeight,bgndColor,btnColor,btnTextColor,pauseSeconds,animRate,numbImages) { 
		$jq('#showSatLoop').load('inc-ssec-basin.php', {basin:basin,imageDir:imageDir,imageWidth:imageWidth,iframeWidth:iframeWidth,iframeHeight:iframeHeight,bgndColor:bgndColor,btnColor:btnColor,btnTextColor:btnTextColor,pauseSeconds:pauseSeconds,animRate:animRate,numbImages:numbImages});
	}
}
</script>
<style type="text/css">
div.center {
	width:100%;
	margin-left: auto;
	margin-right: auto;
}img.center {
	width:100%;
	margin-left: auto;
	margin-right: auto;
}</style>
</head>
<body>
<?php
if ( !$standAlone ) {
	############################################################################
	include("header.php");
	############################################################################
	include("menubar.php");
############################################################################
}
?>
<?php if ((isset($_SESSION['CSSwidescreen'])&&$_SESSION['CSSwidescreen'])||$standAlone) { 
  $img_type = $imageDir;
	$satType = $imageDir;
	$imageWidth = $maxWidth;
  $imageHeight = $imageWidth*(($basin=='atlantic'||$basin=='westpac'||$basin=='austeast'||$basin=='$austwest'||$basin=='seastpac')?.6:.63); // Height of Images
  $iframeHeight = ($imageHeight+50); // Height of IFrame
  $iframeWidth = $imageWidth; // Default IFrame Width -- should no longer need adjustment
 } ?>
<?php if (isset($_SESSION['CSSwidescreen'])&&!$standAlone) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114)' : ($imageWidth<660?660:$imageWidth)) ?>px">
<?php } else { ?>
	<div id="main-copy" style="width:100%">
<?php }	?>
    <div class="center" style="width:<?php echo $imageWidth?>px">
    <br/>
    <?php include('inc-ssec-basin.php');?>
  </div>
  <hr/><div align="center">
  <?php echo ((isset($_SESSION['CSSwidescreen'])&&!$_SESSION['CSSwidescreen'])&&!$standAlone)?'<span style="text-align:center; font-size:12px; line-height:150%"><a href="wxssec-basin-SA.php" target="_blank" title="Larger Maps in New Tab">Full-Size Maps</a><br/></span>':'';?>
  <p style="font-size:9px; text-align:center">The above images were produced by the University of Wisconsin <a href="https://www.ssec.wisc.edu/" target="_blank" title="Off Site">Space Science and Engineering Center</a><br/><a href="http://tropic.ssec.wisc.edu/" target="_blank" title="Off Site">Cooperative Institute for Meteorological Satellite Studies</a>.<br/>Animation by <a href="https://www.ssec.wisc.edu/hanis/index.html" target="_blank" title="Off Site">HAniS</a> &copy;2014-<?php echo date("Y")?> by Tom Whittaker -- Script by <a href="https://gwwilkins.org" target="_blank" title="New Tab">SE Lincoln Weather</a> 
  </p>
  </div>
</div><!-- end main-copy -->

<?php 
############################################################################
if ( !$standAlone ) {
	############################################################################
	include("footer.php");
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
?>
